

.popup {
    display:none;
    width:700px;
    max-width:95vw;
    height:auto;

    position:fixed;
    z-index:99999;
    top:10vh;
    left:50%;
    transform:translateX(-50%);


    background:white;
    border-radius: 15px;

    padding:20px;

    box-shadow: 0px 10px 20px 5px rgba(0,0,0,.5);
}

.popup.wide {
    width:1200px;
}

.popup .popupHead {
    position: relative;
}

.popup .popupHead h3{
    margin-right: 60px;
    overflow: hidden;
}

.popup .popupHead .uploadText {
    position: absolute;
    right: 40px;
    top: 50%;
    transform:translateY(-50%);

    font-size:12px;
}

.popup .popupHead .popupCloseButton {
    font-size: 50px;
    line-height: 50px;

    position: absolute;
    right: 12px;
    top: 50%;

    transform:translateY(-50%);
}
.popup .popupHead .popupCloseButton:hover {
    text-decoration: none;
}

.popup .popup-body {
    overflow:hidden;
    overflow-y:auto;
}

body.hasPopup {
    height:100vh;
    overflow-y:hidden !important;
}

body.hasPopup:after {
    content:" ";
    background:rgba(0,0,0,.5);
    position:fixed;
    z-index:99998;
    top:0;
    left:0;
    bottom:0;
    right:0;


}

body.hasPopup .popup {
    display:block;
}


@media only screen and (max-width: 768px) {
    .popup {
        top:10px;
    }
}

@media only screen and (max-width: 575px) {
    .popup {
        border-radius: 7.5px;
        padding:10px;
    }

    .popup .popupHead .popupCloseButton {
        font-size:30px;
    }

    .popup .popupHead .uploadText {
        right:30px;
    }


    .popup .popupHead h3 {
        margin-bottom:0px;
    }

    .popup hr {
        margin:12px 0px;
    }
}
